Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.wms
Class WFS2WMS

    java.lang.Object
      org.deegree.tools.wms.WFS2WMS

    public class WFS2WMS

extends Object

Creates a deegree WMS configuration document or a Layer section from a WFS capabilities document. The datasource type for each layer will be LOCALWFS. Also a style with random color(s) will be created, assigned to the layers and stored in a xml document named $OUTFILE_BASE$_styles.xml. TODO support for usage of an already existing WMS configuration document TODO determine geometry types of the feature types registered within the wfs capabilities document

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`WFS2WMS(Properties prop)` Create an instance with given properties

Method Summary
`static double` | `getMaxX(Node node)`
`static double` | `getMaxY(Node node)`
`static double` | `getMinX(Node node)`
`static double` | `getMinY(Node node)`
`static void` | `main(String[] args)`
`void` | `run()` Run the conversion

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WFS2WMS

    public WFS2WMS(Properties prop)

  Create an instance with given properties

  Parameters:
    `prop` - to use

Method Detail

### getMinX

    public static double getMinX(Node node)

  Parameters:
    `node` - to retrieve the minimum x value from.
  Returns:
    the minimum y value or -180 if not found

### getMinY

    public static double getMinY(Node node)

  Parameters:
    `node` - to retrieve the minimum y value from.
  Returns:
    the maximum y value or -90 if not found

### getMaxX

    public static double getMaxX(Node node)

  Parameters:
    `node` - to retrieve the maximum x value from.
  Returns:
    the maximum x value or 180 if not found

### getMaxY

    public static double getMaxY(Node node)

  Parameters:
    `node` - to retrieve the maximum y value from.
  Returns:
    the maximum y value or 90 if not found

### run

    public void run()
             throws Exception

  Run the conversion

  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Parameters:
    `args` -
  Throws:
    `Exception` - if the conversion could not be fulfilled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org